Loading...
Searching...
No Matches
elastix::IterationInfo Class Reference

`#include <elxIterationInfo.h>`

## Detailed Description

Definition at line 30 of file elxIterationInfo.h.

## Public Member Functions

void | AddNewTargetCell (const char *const cellName)
std::ostream & | operator[] (const char *const cellName)
void | RemoveOutputFile ()
void | RemoveTargetCell (const char *const cellName)
void | SetOutputFile (std::ofstream &outputFile)
void | WriteBufferedData ()
void | WriteHeaders () const

## Private Attributes

std::map< std::string, std::ostringstream > | m_CellMap {}
std::ofstream * | m_OutputFile {}

## Member Function Documentation

## AddNewTargetCell()

void elastix::IterationInfo::AddNewTargetCell | ( | const char *const | cellName | ) |

## operator[]()

std::ostream & elastix::IterationInfo::operator[] | ( | const char *const | cellName | ) |

## RemoveOutputFile()

void elastix::IterationInfo::RemoveOutputFile | ( |  | ) |

## RemoveTargetCell()

void elastix::IterationInfo::RemoveTargetCell | ( | const char *const | cellName | ) |

## SetOutputFile()

void elastix::IterationInfo::SetOutputFile | ( | std::ofstream & | outputFile | ) |

## WriteBufferedData()

void elastix::IterationInfo::WriteBufferedData | ( |  | ) |

## WriteHeaders()

void elastix::IterationInfo::WriteHeaders | ( |  | ) | const

## Field Documentation

## m_CellMap

std::map<std::string, std::ostringstream> elastix::IterationInfo::m_CellMap {}

private

Definition at line 54 of file elxIterationInfo.h.

## m_OutputFile

std::ofstream* elastix::IterationInfo::m_OutputFile {}

private

Definition at line 55 of file elxIterationInfo.h.

Generated on 1768596610 for elastix by 1.15.0 |